0.218 (2020-02-02)
------------------


MAME Testers Bugs Fixed
-----------------------
- 04300: [DIP/Input] (cliffhgr.cpp) cliffhgr, cliffhnga: DIP switch values are reversed for "Short Scenes". (italiandoh)
- 06897: [Graphics] (stfight.cpp) empcity: Red screen during scene transitions. (sasuke)
- 07336: [Sound] (intv.cpp) intv, intvoice [b17bomb]: No speech in Mattel Intellivision games. [iwilliamson]
- 07516: [Crash/Freeze] (twins.cpp) twins, twinsed2: Games lock up or reset after level 1-5. (Angelo Salese)
- 07530: [Crash/Freeze] (apollo.cpp) dn3000, dn3500, dn5500: Resetting via typing RE crashes the emulator. (Ivan Vangelista)
- 07531: [Crash/Freeze] (pong.cpp) breakout: MAME crashes with exception with -video bgfx. (Couriersud)
- 07533: [Graphics] (bnstars.cpp) bnstars1: Broken sprites and missing graphics. (cam900)
- 07534: [Timing] (apple2e.cpp) apple2ee: Time advances too quickly when using Thunderclock. (R. Belmont)
- 07554: [Graphics] (m68705prg.cpp) All machines in m68705prg.cpp no longer show LED values (default 000) when booting. (hap)


New working machines
--------------------
The Apprentice (Senario, Plug and Play) [Sean Riddle, David Haywood]
Big Bonus Slots (Senario, Plug and Play) [Sead Riddle, David Haywood]
Conny PDC100 - Pocket Dream Console [Sean Riddle, David Haywood]
Cosmo Girl (Senario, Plug and Play) [Sean Riddle, David Haywood]
Dance Dance Revolution Kids (GQAN4 JAA) [iMp, MetalliC]
Excite Sports Wireless Interactive TV Game - 48-in-1 (set 1, NTSC) [Sean Riddle, David Haywood]
Game & Watch: Mario's Cement Factory (Table Top) [algestam]
Jungle's Soft / Ultimate Products (HK) Ltd Zone 100 [TeamEurope, David Haywood]
Lexibook / Sit Up Limited Seal 50-in-1 [TeamEurope, David Haywood]
Mario Roulette [ShouTime, MetalliC, R. Belmont]
MiWi2 7-in-1 Sports [David Shah]
Muscle Ranking Kinniku Banzuke Spray Hitter [Darksoft, MetalliC, rtw]
The Perfect Mate (Senario, Plug and Play) [Sean Riddle, David Haywood]
Psion Series 5mx [Ash Wolf, Ryan Holtz]
Pop'n Stage EX (ver JB-A) [Jennifer Taylor]
Sega Genesis Nomad (USA Genesis handheld) [cam900]
Senario Deluxe TV Poker - Texas Hold'em, Blackjack & Video Poker (US) [Sean Riddle, David Haywood]
Trump Grand PowerJoy (PJ001, NES based plug & play) [Sean Riddle, David Haywood]
Who Wants to Be a Millionaire? (Senario, Plug and Play, US) [Sean Riddle, David Haywood]
Zone 7-in-1 Sports (US) [Sean Riddle, David Haywood]


New working clones
------------------
Denjin Makai (set 1) [caius, The Dumping Union]
Enduro Racer (YM2151, FD1089B 317-0013A) [Brian Troha, Phil Bennett, The Dumping Union]
Excite Sports Wireless Interactive TV Game - 48-in-1 (set 2, PAL) [TeamEurope]
Fidelity Electronics Excel 68000 Mach IV 68020 Master 2325 [hap, Berger]
GunNail (location test) [cpsystem3, trap15]
Hegener + Glaser Mephisto Lyon 68030 [hap, anonymous]
Hegener + Glaser Mephisto Portorose 68030 [hap, anonymous]
Hegener + Glaser Mephisto TM Berlin (prototype) [hap, anonymous]
Hegener + Glaser Mephisto TM Lyon [hap, anonymous]
Hegener + Glaser Mephisto TM Vancouver [hap, anonymous]
Hegener + Glaser Mephisto Vancouver 68030 [hap, anonymous]
The Last Apostle Puppetshow [Smitdogg, David Haywood, The Dumping Union]
Match'em Up (German) [TeamEurope, Brian Troha, The Dumping Union]
Minky Monkey (Japan) [ShouTime]
New Cherry '96 (v3.1, B PCB) [Ioannis Bampoulas]
New Cherry '96 (v3.1C, G PCB) [Ioannis Bampoulas]
New Cherry '96 Special Edition (v3.55, C1 PCB) [Ioannis Bampoulas]
New Fruit Bonus '96 (v3.1, A PCB) [Ioannis Bampoulas]
PC with V20 CPU [rfka01]
Pop'n Music 1 (ver JA-A, HDD 1.00) [Jennifer Taylor]
Pop'n Music 1 (ver KA-A, HDD 1.01) [Jennifer Taylor]
Saitek Mephisto London 68030 [hap, anonymous]
Saitek Mephisto TM London [hap, anonymous]
Sega Mega Jet (Japan Mega Drive handheld) [cam900]
Super Bagman (version 5) [Michel BLANCO]
V.Smile Baby (Spain, with Aventuras en el Bosque de los Cien Acres) [Sean Riddle, ClawGrip]


Machines promoted to working
----------------------------
Buttobi Striker [MetalliC, TeamEurope]
Dam Dam Boy (on dedicated PCB) [MetalliC]
Digital Equipment Corporation VT52 Video Display Terminal (M4) [AJR]
Fuusen Pentai [MetalliC]
Kattobase Power Pro Kun [MetalliC]
Korokoro Pensuke [MetalliC]
Lucky Girl (Wing) [Ivan Vangelista]
MIPS Magnum R4000 (le) [Patrick Mackinlay]
Pittanko Zaurus [MetalliC]
Rushing Beat Shura (SNES bootleg) [dox]
Shuriken Boy [MetalliC]
Tsukande Toru Chicchi [MetalliC]
Yu-Gi-Oh Monster Capsule [MetalliC]


Clones promoted to working
--------------------------
Dam Dam Boy (on Tsukande Toru Chicchi PCB) [MetalliC]
Senario / Play Vision Vs Maxx Texas Hold'em TV Poker - 6 Player Edition (UK) [Sean Riddle, David Haywood]
Senario Vs Maxx Texas Hold'em TV Poker - 6 Player Edition (US) [Sean Riddle, David Haywood]
Toki (Modular System) [Angelo Salese]


New machines marked as NOT_WORKING
----------------------------------
Advance Bright Ltd 4 Player System - 10 in 1 [Sean Riddle, David Haywood]
Advance Bright Ltd / V-Tac Technology Co Ltd. Wireless Tennis (WT2000, ABL TV Game) [Sean Riddle, David Haywood]
AT&T 3B2/300 [Bitsavers]
AT&T 3B2/600 [Seth Morabito]
AT&T 610 Business Communication Terminal [Bitsavers]
AT&T 730X [Bitsavers]
Bandai Design Master Denshi Mangajuku [SSJ, TeamEurope]
Bandai Karaoke Ranking Party (Japan) [Sean Riddle, ClawGrip]
Challenge Girl (Falcon bootleg) [ShouTime]
Diana Elite [Juan Romero, ClawGrip]
Digital Equipment Corporation VT62 DECscope [balrog, Lord Nightmare]
Dinoking Battle [SpinalFeyd, Porchy]
Dinoking Kids [SpinalFeyd, Porchy]
Dragon Dance (V1.02J) [ShouTime]
Eldorado (4.2) [English Amiga Board]
Epoch / SSD Company LTD Excite Bowling (Japan) [Sean Riddle, Peter Wilhelmsen]
Epoch / SSD Company LTD Excite Stadium DX (Japan) [Sean Riddle, Peter Wilhelmsen, ShouTime]
Excalibur Electronics Inc Carl Edwards' Chase For Glory [Sean Riddle, GameHistory.org]
Flashman [PinMAME]
Generations (Retro-Bit) [Porchy]
Hamy System WiWi 18-in-1 Sports Game [TeamEurope, David Haywood]
Intec InterAct Complete Video Game - 111 Games & 42 Songs (G5410) [TeamEurope]
JAKKS Pacific Inc / Toymax Telestory [Sean Riddle, ClawGrip]
JAKKS Pacific Inc DC Super Heroes The Watchtower Hero Portal [Sean Riddle]
Jungle Soft / Ultimate Products (HK) Ltd Zone 32-bit Gaming Console System (Family Sport 41-in-1) [TeamEurope, David Haywood]
Knock Down 2001 (Japan, KD11 Ver. B) [Porchy, SpinalFeyd]
Laser Quiz Greece [English Amiga Board]
LeapFrog Little Touch LeapPad [Sean Riddle, ClawGrip]
Lear Siegler ADM 12 Video Display Terminal [Bitsavers]
Let's Play! Game Machine 240 in 1 [TeamEurope]
Lexibook Compact Cyber Arcade - 250-in-1 (JL2375) [TeamEurope, David Haywood]
Lexibook Compact Cyber Arcade - Frozen [TeamEurope]
Majesco Golden Nugget Casino [Sean Riddle, GameHistory.org]
Marcel van Kervinck Gigatron TTL Microcomputer [Sterophonick, AJR]
Mirage World (satellite) [WX JF]
Mostek AID-80F Development System [Maggi9295]
My Wico Deluxe (Family Sport 85-in-1) [TeamEurope, David Haywood]
National Semiconductor unknown INS8900 Multibus card (980305652) [Bitsavers]
Network Computing Devices NCD19c [Don Maslin Archive]
Novag Supremo [hap, Berger]
Odeon Twister (v1.4) [English Amiga Board]
Plug and Play Sudoku (VT based?) [Sean Riddle, David Haywood]
Publications International Ltd Story Reader [ClawGrip]
Publications International Ltd Story Reader 2.0 [ClawGrip]
Retro FC Plus 168 in 1 Handheld [PeterVanSilie]
Scorpion (Jun 15, 1999) [ClawGrip, Rampa]
Senario / All in 1 Products Ltd Ultimate Sudoku TV Edition 3-in-1 [Sean Riddle, David Haywood]
Simba / V-Tac Technology Co Ltd. TV Sports 10-in-1 / Decathlon Atlhetic Sport Games [TeamEurope, David Haywood]
Smart Planet Sudoku Plug & Play TV Game '6 Intelligent Games' [Sean Riddle, GameHistory.org]
SpongeBob SquarePants Bikini Bottom 500 (JAKKS Pacific TV Motion Game) [Sean Riddle, David Haywood]
TaiKee Mini Arcade Games Console (Family Sport 220-in-1) [TeamEurope, David Haywood]
Takara / SSD Company LTD Jara-Ja Land (Japan, home version) [Sean Riddle, Peter Wilhelmsen, ShouTime]
TeleVideo Systems TeleVideo 924 Video Display Terminal [Bitsavers]
Texas Reels (Ver. 2.00) [Ioannis Bampoulas]
Tomy / SSD Company LTD Tomica Carnavi Drive (Japan) [TeamEurope, David Haywood]
TV Virtual Fighter / Free Fight Kung Fu (Conny / Big Ben) [TeamEurope, David Haywood]
unknown Namco System 10 medal game (MTL1 SPR0B) [SpinalFeyd TeamEurope]
War III Cherry Best [Ioannis Bampoulas]
Wow Wireless Gaming [TeamEurope, David Haywood]


New clones marked as NOT_WORKING
--------------------------------
286 motherboards with 6-chip SUNTAC chipset [rfka01]
3SIUD-1.1 [rfka01]
486 motherboards using the SiS 85C496/85C497 chipset [rfka01]
486 motherboards using the UNI4800 chipset [rfka01]
486IG-B-2-1 [rfka01]
A-Trend ATC-1415 [rfka01]
A-Trend ATC-1425A [rfka01]
Abit AB-PM4 [rfka01]
Abit AB-PV4 [rfka01]
AMI EISA Enterprise-III [rfka01]
AMI EISA Enterprise-II [rfka01]
AMI EISA Enterprise-IV [rfka01]
AMI Super Voyager PCI-II [rfka01]
AMI Super Voyager VLB [rfka01]
AMI Super Voyager VLB-II [rfka01]
AMI Super Voyager VLB-III [rfka01]
Aopen AP43 [rfka01]
Aopen VI15G [rfka01]
AT&T 3B2/310 [Bitsavers]
AT&T 3B2/400 [Bitsavers]
Atari ABC-286/30 [rfka01]
Atari PC4 [rfka01]
Atari PC5 [rfka01]
Biostar MB-1433UIV [rfka01]
Chaintech 486SPM [rfka01]
Chicony CH-486-33C [rfka01]
Datavan Book-Size LAN station [rfka01]
Driving Force (Galaxian conversion, Seatongrove UK, E-0237) [Juan Romero, ClawGrip]
Edom 486VL3H [rfka01]
Edom MV035F [rfka01]
EFA 486 APIO [rfka01]
EFA 4DMS HL3G-L4-VI [rfka01]
EFA 4DMU HL3S [rfka01]
Epoch / SSD Company LTD / Sonokong Real Ping Pong (Korea) [Sean Riddle, David Haywood]
ExpertChip EXP4044 [rfka01]
Fantasy Story (set 2) [ShouTime]
Fighting Fantasy (Modular System) [ArcadeHacker, Recreativas.org, ClawGrip]
Highscreen Colani Blue Note [rfka01]
Klax (version 5, bootleg set 3) [f205v]
The Lord Of The Rings (3.00) [PinMAME]
Mintek BAY-1000C V1.01 [rfka01]
MSI MS-4134 [rfka01]
MSI MS-4145 [rfka01]
Multitech Microprofessor II [Marc CAPDEVILLE]
New Fruit Machine (Ming-Yang Electronic, vFB02-01A) [Ioannis Bampoulas]
Octek Jaguar II [rfka01]
Profex PC 33 [rfka01]
Quizard 3 (v3.4, German, i8751 DE 132 A1) [TeamEurope]
Quizard 4 Rainbow (v4.2, Czech, i8751 TS142 CZ1) [Caps0ff, TeamEurope]
Scorpion (Oct 01, 1997) [ClawGrip, Rampa]
Seibu Cup Soccer :Selection: (bootleg, set 4) [f205v]
Siemens-Nixdorf PCD-3Nsl Notebook Computer [rfka01]
SOYO 025R2 [rfka01]
SOYO 30H [rfka01]
Takara / SSD Company LTD / newgent e-kara (Spain, includes 3 songs) [Sean Riddle, ClawGrip]
TD-4IP-UMC-AIO [rfka01]
VS Computer Mahjong [ShouTime]
Wild Cat 3 (CMV4 hardware) [Ioannis Bampoulas]
ZIDA 4DVS [rfka01]


New working software list additions
-----------------------------------
apple2_flop_clcracked:
  Air Navigation Trainer (cleanly cracked), Barron's Computer SAT Study Program (Version 1.0) (cleanly cracked),
  The Boy Jesus (cleanly cracked), Diascriptive Reading I (cleanly cracked), Green Globs and Graphing Equations (cleanly cracked),
  In Search of the Most Amazing Thing (First Revision) (cleanly cracked), Instant Recall (Version 1.1) (cleanly cracked),
  Magic Mailer (Version 1.1) (cleanly cracked), MicroChess (Version 2.0) (cleanly cracked), Mind Over Minors (cleanly cracked),
  The Spy's Adventures in North America (Version 1987-10-31) (cleanly cracked), Temple of Apshai (cleanly cracked),
  What's My Logic? (Version 1.0) (cleanly cracked), Wiziprint (Version 2.01) (cleanly cracked) [4am, Firehawke]
  Adventure Creator (cleanly cracked), Construct-A-Word II (cleanly cracked), Life Science (cleanly cracked),
  MIDI/4 (Revision 5) (cleanly cracked), The Quarter Mile (Version 4.0) (800K 3.5") (cleanly cracked) [4am, san, Firehawke]
apple2_flop_orig:
  The Abyssal Zone, Adventure, Adventure Construction Set, Alien Typhoon, The Alpine Encounter, Amazon, Amnesia,
  The Ancient Art of War, Arthur: The Quest for Excalibur, The Bard's Tale, Borg, The Breckenridge Caper of 1798,
  Chess (Odesta) (Version 7.0), Crown of Arthain, Cuban Fantasy, The Dark Heart of Uukrul, Dave Winfield's Batter Up!, Diamond Mine,
  Dinosaur Days Plus!, Drug Alert!, Dunjonquest: Hellfire Warrior (Version 1), Dunjonquest: Hellfire Warrior (Version 2),
  Dunjonquest: Hellfire Warrior (Version 3), Dunjonquest: The Temple of Apshai (Revision 1),
  Dunjonquest: The Temple of Apshai (Revision 2), Dunjonquest: The Temple of Apshai (Revision 3),
  Dunjonquest: The Temple of Apshai (Revision 4), Earth Orbit Stations, Ecology Simulations II, Galactic Attack, Gears,
  Gold Rush! (Version 1.0M), Green Globs and Graphing Equations, Horizon V, The Hunt for Red October,
  In Search of the Most Amazing Thing, Interpreting Graphs, Into The Eagle's Nest, Journey (version 16), King's Bounty,
  Koronis Rift, Lords of Karma, Neuromancer, New World, Nord and Bert Couldn't Make Head or Tail of It (Release 19 / 870722),
  Now You See It, Now You Don't - Was it there? Was it missing?, Portal, Quest for the Scarlet Letter,
  Questprobe featuring The Hulk (Version 2.3/127), Rambo: First Blood Part II, Shogun, Southern Command,
  Space Quest: The Sarien Encounter, Star Trek: Strategic Operations Simulator, SwordThrust, Tangled Tales, Thrilogy,
  Wizardry II: The Knight of Diamonds (Version PV3S2V1/10-MAR-82), Wizardry IV: The Return of Werdna,
  Wizardry: Proving Grounds of the Mad Overlord (Version 2.1), Wiziprint (Version 2.1), Xyphus, Zork Zero [4am, Firehawke]
bbc_rom:
  Acorn ADFS 1.33 (IDE), Acorn ADFS 1.53 (IDE), Acorn ADFS 1.57 (MMC), Harston ADFS 6.00, Harston ADFS 6.10, RetroClinic RamFS 1.00,
  RetroClinic RamFS 1.04 [Nigel Barnes]
bbcb_flop:
  AMX Stop Press, BBC-Z88 Transfer Link, Beeb OPL: AdLib Christmas Carols, Beeb OPL: AdLib Classical Favourites #1,
  Beeb OPL: AdLib Jukebox, Beeb OPL: AdLib Jukebox Bonus Disc, Beeb OPL: AdLib Pop/Rock Grooves, Beeb OPL: Brix, Beeb OPL: Droplay,
  Beeb OPL: DynaBlaster, Beeb OPL: Jill of the Jungle, Beeb OPL: KiloBlaster, Beeb OPL: Solar Winds, Beeb OPL: Wacky Wheels,
  Beeb OPL: Xargon, Beeb OPL: Zone 66, BeebSID 19 - Classical, Chauffeur, Christmas Crackers, Enigma, EV1 Camera Interface,
  Harston ADFS System Disk 6.10, Icon Art Master, The Krystal Connection, MagScan - The Beebug Bibliography Disc v1.31,
  MEDL Tracker Ball Utilities, Mountain Panic, MR4200 32K RAM Board, Paranoid, UTILRAM: The Utility RAM, Video Camera Interface,
  VideoNuLA Support Disc, The Wapping Editor Utilities 1.21, The Wapping Editor Utilities 1.30, White Light, Zap! [Nigel Barnes]
c64_cass:
  BMX Racers (set 4, Visiload loaders), The CF Power Pack Tape 5, Hero of the Golden Talisman, Match Point (set 2), Mermaid Madness,
  On Court Tennis, On Field Football, Outlaws, Rad Ramp Racer, Run the Gauntlet, Short Circuit, Skate Rock Simulator, Space Hunter,
  Spellbound, Sweep, Talladega, Yogi's Great Escape (set 2) [FakeShemp]
  Hole In One [FakeShemp, c64tapes.org]
fmtowns_cd:
  Emit Vol. 3 - Watashi ni Sayonara o, The New Zealand Story (HMA-213) [redump.org, r09]
  Shooting Towns [rockleevk, r09]
gameking:
  4 in 1 - SeaGuard + Whirlybird + Spectask + Captain (set 2),
  4 in 1 - Three Battles + Light Sword + Risker + Metal Deform (1MB cartridge),
  4 in 1 Vol. 10 - Soldier + Seatercel + General + Seafight (1MB cartridge), [TeamEurope, SSJ]
gmaster: Finite Zone [SSJ, Maxime Cohin, PeT]
ibm5150:
  UCSD p-System [Davide Cavalca]
  Apogee Software Bonus Disk (Jumpman Lives!, Commander Keen in Invasion of the Vorticons) [Justin Kerk]
ibm5170: Goal!, Street Fighter II [ArcadeShadow]
jupace_cass: Forth Surround, Superchess II [Robbbert]
jupace_snap: Casse Briques, Champs De Mines, Millipede, Pacman, Valkyr [Robbbert]
megadriv: Sonic the Hedgehog 2 (World, prototype 19920821), Sonic the Hedgehog 2 (World, prototype 19920914) [drx, FakeShemp]
n64: 007 - The World Is Not Enough (prototype, version 21) [Paulweeze71, FakeShemp]
snes:
  Missile Command (prototype 19970210) [Baker64, FakeShemp]
  Earthworm Jim (USA, prototype 19940819) [Radar, FakeShemp]
  Arcana (USA, prototype), Super Nova (prototype) [Togemet2, FakeShemp]
svision: Cross High (Euro, USA) [anonymous]


Software list items promoted to working
---------------------------------------
gameking:
  4 in 1 - AirWar + DeadShot + Challenge + Speedboat, 4 in 1 - CS-I + Soldier + Sea War + Thunderbird,
  4 in 1 - Elfin + Chariot + Searcher + Peace Havass, 4 in 1 - Farer + Sortie + PhantomFighter + SeaBed War,
  4 in 1 - Manhunt + Bobby + Tantivy + Racing Car, 4 in 1 - Nagual + Revenger + Terminator + Black Jack,
  4 in 1 - Nobody + Bad Boy + Air Wrestle + MotherLove,
  4 in 1 - TrojanLegend (Trojan) + HappyBall + Supermotor (Motor) + Lanneret (Hawk),
  4 in 1 - Warrior + Cleverhawk + Valiant + MetalDeform (1MB cartridge), 4 in 1 Vol. 9 - Duckman + Ares + HappyKiller + Cycloneact
  [TeamEurope, SSJ]
jupace_cass:
  3D Maze, Ace Avoider, Ace Invaders (Forth Dimension), Ace Invaders (Hi-Tech Microsoft),
  Ace Manual Code Examples - Chapter 11 (mice), Ace Mines, Ace Star, Acevaders, Adventure A - Planet of Death, Alien Defender,
  Amazing Maze, Astrian Descent (Prototype), Atic Raid, Black Island Adventure, Bomber, Breakout, Callisto, Cavern Attack,
  Centipede, Chase, Chess, Dodge the Munch (Prototype), Duckshoot, Firebird, Frogger (Boldfield Computing),
  Fungle Monsters (Prototype), Gobbledegook, Green X Frog, Guessing Game, Krazy Kong (Prototype), Light Racer (Prototype),
  Memory Stars, Meteor, Meteor Racer, Meteors (Prototype), Micro Maze, Minefield, Othello, Owler, Quick-Draw (Prototype),
  Quick-Draw Practice (Prototype), Robohench (Prototype), Robohunt (Prototype), Sallors' Hornpipe,
  Sam and the Time Bombs (Prototype), SokoACE, SokoACE Map Editor, Space Battle, Star Trek, Sudoku, Tank Battle (Prototype), Tetris,
  Towers of Hanoi, Turbo (Prototype), Zapem, Zombies and Potholes [Robbbert]


New NOT_WORKING software list additions
---------------------------------------
a800_cass: Serpentine, Zaxxon (set 1), Zaxxon (set 2) [AtariMania, FakeShemp]
bbc_rom:
  Advanced Ram Operating System 1.00, Digistore Streamer 0.05, Digistore Streamer 0.07, Digistore Streamer 0.09, EPROM 1.03,
  RAMagic! 2.0B, RAMagic! 2.1M, Smart SPI, Turbo MMC 0.A3, UPURS 3.0R, UPURS 3.1R, UPURS 3.2R, UPURS 3.3R, UPURS 4.0R, UPURS 4.1R,
  UPURS 5.0R, UPURS 5.1R [Nigel Barnes]
bdesignm_design_cart: Dragon Ball Z (design), Super Street Fighter 2 (design) [SSJ, TeamEurope]
bdesignm_game_cart:
  Bishoujo Senshi Sailor Moon SS Illustration Club (game), Dragon Ball Z Taisen-gata Search Battle (game) [SSJ, TeamEurope]
bkrankp_cart: J-Pop Rose, Vocaloid [Sean Riddle, ClawGrip]
casloopy: Little Romance, Video Seal Wordprocessor [SSJ, TeamEurope]
gmaster: Space Warrior [SSJ, Maxime Cohin, PeT]
iqunlim_cart: Englisch fuer Anfaenger [TeamEurope]
pi_storyreader_cart: Toy Story 2 [Sean Riddle, ClawGrip]
pi_storyreader_v2_cart: Toy Story 2 [Sean Riddle, ClawGrip]
sega_beena_cart:
  Kazoku Minna no Nouryoku Trainer, Meet Bub-Bub to Eigo Tanken, Oshare Majo Love and Berry-Cute ni Oshare,
  Oshare ni Henshin HeartCatch PreCure!, Pocket Monsters Best Wishes! Chinou Ikusei Pokemon Daiundoukai [TeamEurope]
telestory_cart:
  La Cenicienta - Bellezas en Flor / Cinderella - Beauties in Bloom (Spain),
  El Rey Leon II - El orgullo de Simba / The Lion King II - Simba's Pride (Spain),
  Winnie the Pooh - Salta, Tigger, Salta / Winnie the Pooh - Bounce, Tigger, Bounce (Spain) [Sean Riddle, ClawGrip]
vbaby_cart: El Jardin de los Suenos... (Spain) [Sean Riddle, ClawGrip]


Source Changes
--------------
-bus/ss50/dc5.cpp: Added configuration option to force ready when motor is enabled. [68bit]
 * Allows SWTBUG to boot without patching the ROM to ignore the ready status.

-formats/ap2_dsk.cpp: Don't use symbolic names in the options specification, as the values are used as preprocessor tokens. [68bit]

-cpu/t11: Changed disassembler and register display to use octal number format, and fixed disassembly of SOB instruction. [AJR]

-cpu/v60: Sign-extend displacements for various addressing modes and DB/TB instructions. [AJR, Tahg]

-Added disassembler and preliminary emulation for National Semiconductor PACE CPU architecture. [AJR]

-Added disassembler AT&T WE32100 CPU architecture. [AJR]

-render/bgfx: Fixed incorrect swapping of red and blue components of screen tint. [AJR]

-machine/mc68901.cpp: Re-wrote USART emulation. [AJR]
 * Added support for 16x clock pre-scaler and data transition synchronization.
 * Implemented break generation and detection, internal loop-back, and synchronous mode.
 * Adjusted clocks in harriet.cpp and machine/x68k_kbd.cpp to to match MFP-generated Baud rates.
 * Serial terminal for tti (tti.cpp) actually works now.

-indiana.cpp: Replaced ASCII keyboard with AT-style keyboard (doesn't completely work). [AJR]
 * Also documented some clocks and interrupts.

-vt100.cpp: Merged video emulation with DEC Rainbow, implementing AVO attributes. [AJR]

-cpu/rx01: Added disassembler and preliminary CPU device for DEC RX01 custom firmware architecture. [AJR]

-cpu/vt50: Implemented character drawing, and added notes about processor architecture. [AJR]

-input_sdl.cpp: Process control characters so the natural keyboard can see them (SDL normally strips these out). [AJR]

-natkeyboard.cpp: Don't strip linefeed characters (Ctrl-J) from natural keyboard input except when pasting strings. [AJR]

-tv912.cpp.cpp input updates: [AJR]
 * Improved natural keyboard bindings for backspace and forward delete on tv912b.
 * Made Ctrl-K and Ctrl-L work with natural keyboard on tv912b tv912c.

-Add preliminary DEC VT61/VT62 microcode disassembler and skeleton CPU device. [AJR]

-s2650: Changed to big-endian. [AJR]

-gigatron.cpp: Hooked up ROM and skeleton CPU device. [AJR]

-cpu/gigatron: Added disassembler. [AJR]

-unidasm: Handle word endianness for address-shifted architectures correctly and safely. [AJR]

-Added disassemblers for Motorola MC88100 and MC88110 RISC CPUs. [AJR]

-alpha68k.cpp: Improved dash event timings for Gold Medalist, relaxing gameplay qualification requirements. [Angelo Salese]

-toki_ms.cpp: Added some meat, confirming it's similar to tokib. [Angelo Salese]

-twins.cpp updates: [Angelo Salese]
 * Refactored driver code and split into multiple state classes.
 * Added default non-volatile RAM contents for all games.
 * Worked around crash after stages 1-5 in twins and twinsed2.

-psion5.cpp: Added Psion Series 5mx personal digital assistant driver. [Ash Wolf, Ryan Holtz]
 * Added logging for system-on-a-chip peripheral accesses based on WindEmu.
 * Added support for timers, keyboard, touch screen and buzzer/ticker.
 * Implemented HALT register, improving performance.

-bus/isa/s3virge.cpp: Started implementing bit-blit operations, making Windows 3.1 usable with ViRGE drivers. [Barry Rodewald]

-pgm.cpp: Corrected ROM region widths, corrected sprite pixel extraction algorithm, and cleaned up code. [cam900]

-taitogn.cpp: Reduced redundant code by refactoring to share base class with Capcom ZN2. [cam900]

-c6280.cpp: Updated to more closely emulate behavior described in manual, cleaned up code, and updated notes. [cam900]

-machine/vrender0.cpp: Improved sound emulation, updated notes, and cleaned up code. [cam900]
 * Fixed sample start position, partially implemented envelopes and interrupts, and made wave memory access use an address map.
 * Improved sample rate calculation and support for dynamic sample rate changes.

-fmtowns.cpp: Updated notes on sound chips used. [cam900]

-model2.cpp: Changed manufacturer for Dead or Alive to the developer Tecmo. [cam900]

-system1.cpp: Fixed Sega System 1 color handling, improved ROM region names, and cleaned up code. [cam900]
 * Converted PROM-based palette handling to use indirect entries, fixed bitmap clear behavior, and reduced runtime tag map lookups.

-sound/2612intf.cpp: Added YMF276 variant, and fixed output resolution. [cam900]

-sound/fm2612.cpp: Added support for different output resolutions. [cam900]

-megadriv.cpp: Added handheld variants, and added machine configuration for variants with YM3438 integrated in ASIC. [cam900]

-kaneko_spr.cpp: Fixed priorities when sprite persistence is enabled, and split sprite drawing from mixing. [cam900]

-kaneko16.cpp: Fixed sprite delay, corrected explbrkr sound ROM banking, and updated notes. [cam900]

-sound/huc6230.cpp: Fixed ADPCM playback rate, reduced ADPCM volume, cleaned up code, and updated notes. [cam900]

-sound/huc6272.cpp: Fixed ADPCM playback rate and updated notes. [cam900]

-Netlist library updates: [Couriersud]
 * Added netlist library version number to code, and used it to invalidate save states if library version changes.
 * Ensure diodes step by enough to alter the matrix.
 * Increased time resolution to 100 picoseconds and improved synchronization with MAME icount.
 * Added CD4006, CD4070 and TL084 devices.
 * Added proxy support for clock.

-video/fixfreq.cpp: Added adjusters to aid in development and debugging. [Couriersud]

-netlist: Worked around MSVC bug in expansion of variadic macro arguments. [Couriersud, Firewave]

-atarittl.cpp: Hooked up fixed-frequency monitor for stuntcyc. [Couriersud]

-galaxian.cpp: Converted Konami audio filters to use netlist. [Couriersud]

-segas16b.cpp: Added analog audio filters to systems with YM2151 and uPD7759. [Couriersud]

-sunplus_gcm394.cpp updates: [David Haywood]
 * Show startup screens and respond to inputs in jak_gtg and jak_car2.
 * Fixed jak_car2 bitmap test display in service mode.

-xavix.cpp: Converted to direct RGB video output to allow support mid-screen palette changes. [David Haywood]

-pockchalw.xml: Changed chukkesr to use correct dump (previously used a duplicate from a different set). [David Haywood]

-vii.cpp: Added hacks to zon32bit and mywicodx to select correct banks for all games. [David Haywood]

-Split up the unwieldy vii.cpp into multiple source files. [David Haywood]

-plugins/hiscore: Made read_config function more robust. [eadmaster]

-imds2.cpp: Added Multibus slot and implemented iSBC-202 floppy controller card. [F.Ulivi]

-luaengine: Added read_range function to addr_space, allowing scripts to directly read blocks of data. [feos]

-Fixed crash when using -aviwrite or -mngwrite with system that lack screens [Firewave, hap]

-atarisy1.cpp: Don't generate interrupt 3 on systems that don't support it. [GadgetFreak]

-mephisto_modular.cpp: Added Bavaria piece recognition chessboard. [hap]

-video/psx.cpp: Changed NTSC refresh rates to 59.82Hz for 240-line mode and 59.94Hz for 480-line mode. [hoholee12]
 * Works around synchronization issues in beatmania IIDX games.

-gaelco2.cpp: Restored perfect quantum device configuration that was omitted from some machines after refactoring. [mc68k]

-machine/s3520cf.cpp: Improved emulation, and added RTC-4553 variant. [MetalliC]

-cpu/sh: Implemented SH-3 INTEVT register. [MetalliC]

-konmedal.cpp updates: [MetalliC]
 * Added hopper, non-volatile RAM and timing/interrupt controller.
 * Decoded graphics tiles for GX-based games and added per-game palette offsets.
 * Added uPD7759 sound output.
 * Added hack to fix mariourou scrolling, and documented observed row/column scroll issues for K052109 tilemaps.

-geneve.cpp: Implemented lower-level emulation of the Geneve architecture (Gate Array, PAL and Genmod daughterboard). [Michael Zapf]
 * Also added RESET line to I/O port and peripheral box, and made Genmod card modifications a configuration option.

-ti99_2.cpp, ti99_8.cpp: Improved Hexbus handling, and fixed instability when loading from/saving to Hexbus floppies. [Michael Zapf]

-ti99: Block invalid accesses to VDP like writing on read address - fixes Ambulance game. [Michael Zapf]

-render/d3d: Allow -attach_window to work with non-root windows. [Nathan Woods]

-formats/acorn_dsk.cpp: Added support for HADFS floppy images. [Nigel Barnes]

-bus/bbc/1mhzbus updates: [Nigel Barnes]
 * Added BeebOPL FM Synthesiser.
 * Added Sprow BeebIDE 16-bit and RetroClinic BBC 8-bit IDE interfaces.
 * Added Acorn Winchester Disc.

-bbc.cpp: Added bbcm FinMOS 3.29 BIOS option (pre-release of MOS 3.50). [Nigel Barnes]

-bbc.cpp: Added bbcmaiv internal modem port, with Acorn AIV SCSI Host Adaptor card device. [Nigel Barnes]

-video/ims_cvc.cpp: Implemented cursor, simplified handlers, and reduced logging noise. [Patrick Mackinlay]

-cpu/mips/r4000.cpp: Fixed bad virtual address for [ls][dw][lr] exceptions, and fixed CP0 status on soft reset. [Patrick Mackinlay]
 * Also improved logging and cleaned up code.

-machine/dp83932c.cpp: Implemented networking. [Patrick Mackinlay]

-jazz.cpp: Implemented soft reset, and hooked up sonic DMA. [Patrick Mackinlay]

-machine/mct_adr.cpp: Added crude sonic DMA bus master support, and fixed reset handling. [Patrick Mackinlay]

-cpu/v60: Fixed XOR instruction to not alter the carry flag, and improved debugger flags display. [R. Belmont, Tahg]

-konmedal.cpp: Improved colors for shuriboy, fuusenpn and mariorou. [R. Belmont]

-konendev.cpp: Hooked up correct real-time clock, and hooked up DPRAM. [R. Belmont, Heihachi_73]

-machine/spg2xx.cpp: Fixed a subtle interrupt bug that prevented clikstrt from booting. [Ryan Holtz]

-cpu/v60: Fixed carry flag handling for AND, OR and NEG instructions. [Ryan Holtz]

-cpu/arm7: Added ARM710T variant. [Ryan Holtz]

-plugins/cheat: Ignore leading colon on tags, as all tags must be absolute in cheats (GitHub #6114). [Ryan Holtz, DjDiabolik]

-romload: Increased width of total ROM size members to 64 bits (fixes loading percentage display for hapyfsh2). [Ryan Holtz]

-cpu/arm7/arm7.cpp, machine/s3c2400.cpp, machine/s3c2410.cpp, machine/s3c2440.cpp: Converted logging to use logmacro.h. [Ryan Holtz]

-hapyfish.cpp: Added preliminary FS8806 I2C hookup, and expanded notes. [Ryan Holtz]

-cpu/arm7: Added support for printing hapyfsh2 diagnostic messages. [Ryan Holtz]

-ut88.cpp, v6809.cpp: Removed use of deprecated machine configuration macros. [Ryan Holtz]

-naomi.cpp: Added preliminary 315-6154 system manager chip device used in DIMM board. [Samuele Zannoli]

-hapyfish.cpp: Added preliminary inputs. [Tahg, Ryan Holtz]

-apple2_flop_clcracked.xml: Replaced Music Construction Set (cleanly cracked) dump to fix damaged sector. [4am, Firehawke]

-apple2_flop_clcracked.xml: Corrected several titles. [Anoid]

-mephisto_modena.cpp: Added an older version of modena as a BIOS option. [Berger]

-mephisto_montec.cpp: Added another megaiv version as a BIOS option. [Berger]

-vsmile.cpp: Removed regional V.Smile variants and turned alternate ROMs into BIOS options with version numbers. [bmx]

-igs011.cpp: Added DIP switch locations to the Virtua Bowling sets. [Brian Troha]

-splash.cpp: Added DIP switch locations to Funny Strip. [Brian Troha]

-cdi.cpp: Decapped and dumped an i8751 microcontroller for German-language Quizard 2 sets. [Caps0ff, TeamEurope]

-Added MicroTouch touch screen controller ROM dumps (not hooked up). [ClawGrip, Kevin Eshbach, ArcadeHacker]

-ninjakd2.cpp: Red-dumped the ROMs for jt104 and corrected labels. [coolmod, The Dumping Union]

-snes.xml: Re-dumped Mr Tuff. [drx, FakeShemp]

-snes.xml: Documented Earthworm Jim - GamesMaster Special Edition PCB. [FakeShemp]

-megadriv.cpp Added Mega-CD Japan BIOS version 1.11. [Fredrik Nyqvist]

-namcona1.cpp: Updated chip types and ROM locations. [hammy]

-ddragon.cpp: Updated notes. [Jose Tejada]

-gunsmoke.cpp: Removed watchdog that isn't present in hardware, corrected frequencies, and updated notes. [Jose Tejada]

-cpu/rx01: Dumped firmware PROMs. [Lord Nightmare]

-fmtowns_cd.xml: Changed aburner, aburner3 and lastsurv to used dumps with proper track indexes and offset correction.
 [redump.org, r09]

-at.cpp: Updated notes and added BIOS options. [rfka01]
 * atturbo: Added cl286 BIOS option.
 * epsax: Added 3vim002 and zz1343 BIOS options.
 * ecs38632: Added 092588 BIOS option.
 * op386wb: Added d41107 BIOS option.
 * 386sc2c: Added s1b BIOS option.
 * at486: Added 486upio, acer48622, 4alo001, 4alp001, zz1130, optimus, umc486a, a9c11f1f and 109k BIOS options.
 * a486sp3: Added v301, v10101, v10102, v205 and v305 BIOS options.
 * so4saw2: Added iob1, 0730, wa53, wa3, 0911 and 0911b BIOS options.
 * ls486e: Added ls486eb BIOS option.
 * pkm0038s: Added p20302 and p2020 BIOS options.
 * um8498f: Added v14 and um849801 BIOS options.
 * mb8433uud: Added 8881d and 08a BIOS options.
 * mb1433ucv: Added ucvg BIOS option.

-genpc.cpp: Added arc123 and pac BIOS options to PC, and updated notes. [rfka01]

-xavix.cpp: Dumped internal ROM for Gachinko Contest! Slot machine TV (Japan). [Sean Riddle]

-atetris.cpp: Added UM3482 internal ROM data to atetb3482. [Sean Riddle]

-o2.cpp: Add added ip32prom_4_3 BIOS option to o2 (IP32 PROM V4.3). [Sean Riddle, Rampa, ClawGrip]

-fmtowns_cd.xml: Added the missing floppy disk dump for Fujitsu Habitat V2.1L10 [StuBlad, r09]

-vgmplay.xml: Updated seven items to match the latest vgmrips release. [Tafoid]
 * Updated chelnov, fortzone_gb, fray_msx2, illcity_msxr, raiden, spirou_gb and sml2_gb.

-konmedal.cpp: Dumped color PROMs for buttobi. [TeamEurope, The Dumping Union]

-gameking.xml: Re-dumped all bad dumps (mc_4v01, mc_4v04, mc_4v07, mc_4v09, mc_4v14, mc_4v15, mc_4v16, mc_4v17, mc_4v18, mc_4v19a).
 [TeamEurope, SSJ]

-ms32.cpp: Confirmed ROM labels for p47aces. [trap15]

-segasp.cpp: Added network firmware version 1.21. [WX JF]
